Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

UriFormatException for gist references with GitHubApi token (versions > 5.142.0) #3086

Closed
orient-man opened this issue Feb 27, 2018 · 4 comments
Closed

Comments

@orient-man
Copy link

@orient-man orient-man commented Feb 27, 2018

Description

Throws UriFormatException for gist references with GitHubApi token (versions > 5.142.0)

Repro steps

Example reference that used to work:

gist orient-man/c29c299ed970fd097f80124ffde734ce FindOutdatedPackages.fsx github-api-token

Expected behavior

Should work as described in https://fsprojects.github.io/Paket/github-dependencies.html#Referencing-a-private-GitHub-repository

Actual behavior

Throws "Paket failed with -> UriFormatException"

Known workarounds

Do not upgrade > 5.142.0. Set in paket.dependecies:

version 5.142.0
@forki
Copy link
Member

@forki forki commented Feb 27, 2018

image

seems to work for me.

Loading

@orient-man
Copy link
Author

@orient-man orient-man commented Feb 27, 2018

Yeah, it works if token is not set :). Try adding one:

.\.paket\paket.exe config add-token github-api-token xxx

Loading

@forki
Copy link
Member

@forki forki commented Feb 27, 2018

ok now I can repro. @matthid this looks like a regression that was introduced with CredentialProviders

Loading

@matthid
Copy link
Member

@matthid matthid commented Feb 27, 2018

Yeah another area where our test-coverage is not all that awesome ;)

Loading

@forki forki closed this in 507fad4 Feb 28, 2018
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
3 participants